
package de.ivu.elect.presentation.system.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.system.entity.SystemLog;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(SystemLogActionMenu.COMPONENT_NAME)
public class SystemLogActionMenu extends AbstractActionMenuModelBuilder<SystemLog> {

  public static final String COMPONENT_NAME = "systemLogActionMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  SystemLogGeprueftAction systemLogGeprueftAction;

  @Inject
  protected SystemLogDeleteAction systemLogDeleteAction;

  @Override
  protected List<ActionEntry<SystemLog>> getActionEntriesSorted() {
    List<ActionEntry<SystemLog>> result = new ArrayList<>();
    result.add(systemLogGeprueftAction);
    result.add(systemLogDeleteAction);
    return result;
  }

}
